/*_________________________________________________________________
 * 
 *                    U S I N G   I F   F O R   M U L T I P L E   T E S T S 
 * 
 *                                             Ron Kessler 
 * 
 * 
 * ________________________________________________________________
 * 
 * 
 * Shows how to use regular/nested if statements
 * How to use logical operators 
 *          != means not equal
 *          & means AND
 *          | means OR
 *          ! means NOT
 *          && is a conditional AND
 *          || is a conditional OR
 * 
*/


using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Using_If_Part_2
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private void btnGO_Click(object sender, EventArgs e)
        {
            
            //---see what color they picked
            if (rdoRed.Checked)
            {
                MessageBox.Show("You picked Red");
                rdoRed.Checked = false;
            }
            else if (rdoBlue.Checked)
            {
                MessageBox.Show("You picked Blue");
                rdoBlue.Checked = false;
            }
            else if (rdoGreen.Checked)
            {
                MessageBox.Show("You picked Green");
                rdoGreen.Checked = false;
            }
            else
                MessageBox.Show("You did not pick a color");


            //---see if they are hungry!
            if (chkFries.Checked && chkDrink.Checked)    //conditional AND (logial operator)
            {
                MessageBox.Show("You ordered fries and a drink with your color!.");
                chkFries.Checked = false;
                chkDrink.Checked = false;
            }
            else if (chkFries.Checked || chkDrink.Checked) //conditional OR with nested If statement
            {
                if (chkFries.Checked)
                {
                    MessageBox.Show("You should also get a drink.");
                    chkFries.Checked = false;
                }
                else if (chkDrink.Checked)
                {
                    MessageBox.Show("You should also get some fries.");
                    chkDrink.Checked = false;
                }


            }


            
        }
    }
}